package org.dromara.system.service;

import org.dromara.system.domain.TblArticle;
import org.dromara.system.domain.vo.TblArticleVo;
import org.dromara.system.domain.bo.TblArticleBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 文章Service接口
 *
 * @author Lion Li
 * @date 2024-07-18
 */
public interface ITblArticleService {

    /**
     * 查询文章
     */
    TblArticleVo queryById(Long id);

    /**
     * 查询文章列表
     */
    TableDataInfo<TblArticleVo> queryPageList(TblArticleBo bo, PageQuery pageQuery);

    /**
     * 查询文章列表
     */
    List<TblArticleVo> queryList(TblArticleBo bo);

    /**
     * 新增文章
     */
    Boolean insertByBo(TblArticleBo bo);

    /**
     * 修改文章
     */
    Boolean updateByBo(TblArticleBo bo);

    /**
     * 校验并批量删除文章信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
